import {StyleSheet} from 'react-native';
import {Colors} from 'utils/colors';

export const styles = StyleSheet.create({
  container: {
    flex: 1,
  },
  item: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    marginTop: 20,
  },
  itemtext: {fontWeight: 'bold', color: Colors.foreground},
  textr: {color: Colors.foreground},
  title: {
    fontSize: 25,
    fontFamily: 'RobotoSlab-Bold',
    color: Colors.foreground,
    marginLeft: 20,
    marginBottom: 20,
    marginTop: 0,
  },
  logoimg: {
    width: 40,
    height: 40,
    marginRight: 0,
    justifyContent: 'center',
    alignSelf: 'center',
    opacity: 0.9,
    marginVertical: 10,
  },
  viewStats: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    marginTop: 10,
    backgroundColor: Colors.darker,
    paddingVertical: 5,
  },
  coingecko: {
    marginLeft: 20,
    marginBottom: 50,
    marginTop: 10,
    fontSize: 11,
    color: 'gray',
  },
  viewStatsDetail: {
    paddingHorizontal: 20,
    backgroundColor: Colors.darker,
    marginVertical: 3,
    paddingBottom: 20,
  },
  txtBg: {
    color: 'gray',
    textAlign: 'center',
    fontSize: 30,
    position: 'absolute',
    fontWeight: 'bold',
    zIndex: -1,
    opacity: 0.2,
    width: '100%',
  },
  subcont: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    marginHorizontal: 0,
  },
  linechart: {
    justifyContent: 'center',
    height: 160,
    marginTop: 0,
    paddingHorizontal: 0,
  },
  chart: {
    paddingRight: 0,
    paddingBottom: 0,
    paddingTop: 10,
  },
  title2: {
    fontSize: 14,
    fontFamily: 'RobotoSlab-Bold',
    color: 'white',
    marginTop: 0,
    justifyContent: 'center',
    alignContent: 'center',
    alignSelf: 'center',
    paddingHorizontal: 5,
  },
  change: {
    color: Colors.inverse,
    textAlign: 'center',
    padding: 3,
    marginTop: 3,
    fontFamily: 'RobotoSlab-Bold',
    borderRadius: 5,
    justifyContent: 'center',
    alignContent: 'center',
    alignSelf: 'flex-end',
  },
  subTitle: {
    fontSize: 18,
    fontFamily: 'RobotoSlab-Bold',
    color: Colors.foreground,
    marginLeft: 20,
  },
  subTitleTop: {
    fontSize: 18,
    fontFamily: 'RobotoSlab-Regular',
    color: Colors.foreground,
    marginLeft: 20,
    marginTop: 10,
  },
  smallContainer: {
    flexDirection: 'row',
    marginHorizontal: 0,
    marginVertical: 10,
    justifyContent: 'space-around',
    padding: 20,
    backgroundColor: Colors.foreground,
  },
  smallTitle: {
    fontSize: 16,
    fontFamily: 'RobotoSlab-Bold',
    marginBottom: 5,
    color: Colors.foreground,
  },
});
